Subject: bug#59802: 30.0.50; Checkbox button not rendered

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Dec 2022 19:38:10 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: Stephen Berman <[email-masked]>,  [email-masked]
> Date: Mon, 12 Dec 2022 17:56:38 +0100
> 
> Here is another patch that IMHO does a better job (at least in this use
> case: a button with a label).  I also attach a little video that shows
> its behaviour (hope you could read it).  WDYT?

I don't have anything intelligent to say here, and I cannot test this
because my librsvg is older than 2.46.

If this fixes the issue, I'm okay with installing this on the release
branch, but please make sure RSVG_UNIT_PERCENT was indeed introduced
in librsvg 2.46.0, and if it was introduced later, please add a
necessary LIBRSVG_CHECK_VERSION guard.

Thanks.